# CSC 111, Day 12
# Author: Sara Mathieson and CSC 111 class
# Sea-level (HW2) revisted using functions and return
# Completed on Wednesday in class


# Compute the rate for a specific year
def compute_rate(orig_rate, accel, year):
    rate = orig_rate + accel*year
    return rate # return ("give back") rate

    # after return, nothing else happens! (inside this function)
    print(rate) # i.e. this will never be executed

    # Note: if we don't return anything, return type is "None"


# Compute the sea level for a specific year
def compute_level(orig_rate, accel, year):

    # start off with a sea level of 0
    level = 0

    # loop over each year, adding on the current rate
    for i in range(year):

        # use our "helper function" to compute the rate
        curr_rate = compute_rate(orig_rate, accel, i)
        level = level + curr_rate # without return, curr_rate is None

    # here we printed level, but if we wanted to use it
    # later on, we would need to return it
    #print(level)
    return round(level,1) # change to return


# Main method that works mostly like it did in HW2 (missing formatting)
def main():

    # ask the user for inputs
    orig_rate = eval(input("Enter rate (mm/yr) = "))
    accel = eval(input("Enter acceleration (mm/yr^2) = "))
    year = eval(input("Enter # of years = "))
    print()

    # call our helper functions inside the loop and print the results
    for y in range(year+1):
        rate = compute_rate(orig_rate, accel, y) # assign returned value to rate
        level = compute_level(orig_rate, accel, y) # assign returned value to level
        print(y, rate, level)

main()
